=== debian/control ===
Source: ros-foxy-phidgets-api
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-libphidget22, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/phidgets_api
Standards-Version: 3.9.2

Package: ros-foxy-phidgets-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-libphidget22, ros-foxy-ros-workspace
Description: A C++ Wrapper for the Phidgets C API
